Bug 544779 - [abrt] crash detected in firefox-3.5.5-1.fc12
Summary: [abrt] crash detected in firefox-3.5.5-1.fc12
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: pango
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Behdad Esfahbod
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:28059ad08c116469e5d20a454cb...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-06 13:55 UTC by James Heather
Modified: 2018-04-11 13:18 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-04 02:07:38 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (85.25 KB, text/plain)
2009-12-06 13:55 UTC, James Heather
no flags Details

Description James Heather 2009-12-06 13:55:32 UTC
abrt 1.0.0 detected a crash.

Comment: It happened when I navigated to http://www.lrdev.com/lr/java/rsriddle2.html but I can't now reproduce the crash.
Attached file: backtrace
cmdline: /usr/lib64/firefox-3.5.5/firefox
component: firefox
executable: /usr/lib64/firefox-3.5.5/firefox
kernel: 2.6.31.6-145.fc12.x86_64
package: firefox-3.5.5-1.fc12
rating: 4
reason: Process was terminated by signal 6

Comment 1 James Heather 2009-12-06 13:55:36 UTC
Created attachment 376449 [details]
File: backtrace

Comment 2 Chris Campbell 2009-12-16 14:42:10 UTC
#2  <signal handler called>
No symbol table info available.
#3  0x0000003742e326b5 in raise (sig=<value optimized out>)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
        resultvar = 0
        pid = <value optimized out>
        selftid = <value optimized out>
#4  0x0000003742e33e95 in abort () at abort.c:92
        save_stage = 2
        act = {__sigaction_handler = {sa_handler = 
    0x3904ae5160 <g_threads_got_initialized>, sa_sigaction = 
    0x3904ae5160 <g_threads_got_initialized>}, sa_mask = {__val = {
    244888901713, 140645312221612, 4257202, 140644808896992, 140644808896992, 
    237345205000, 140645415311760, 244889341152, 4294967295, 2, 5, 
    244891665384, 0, 140644980869392, 244891668832, 0}}, sa_flags = 
    1115741056, sa_restorer = 0x7fea00000005}
        sigs = {__val = {32, 0 <repeats 15 times>}}
#5  0x000000390484342a in IA__g_logv (log_domain=<value optimized out>, 
    log_level=<value optimized out>, format=<value optimized out>, args1=
    0x7fea761fcd80) at gmessages.c:549
        depth = <value optimized out>
        domain = <value optimized out>
        data = <value optimized out>
        log_func = <value optimized out>
        domain_fatal_mask = <value optimized out>
        masquerade_fatal = <value optimized out>
        test_level = <value optimized out>
        was_recursion = 0
        i = 2
#6  0x00000039048434c3 in IA__g_log (log_domain=<value optimized out>, 
    log_level=<value optimized out>, format=<value optimized out>)
    at gmessages.c:569
        args = {{gp_offset = 24, fp_offset = 48, overflow_arg_area = 
    0x7fea761fce60, reg_save_area = 0x7fea761fcda0}}
#7  0x000000390484194c in IA__g_malloc (n_bytes=16) at gmem.c:135
        mem = <value optimized out>
#8  0x0000003904856bca in IA__g_slice_alloc (mem_size=16) at gslice.c:824
        chunk_size = 16
        mem = <value optimized out>
#9  0x00000039064187e2 in shaper_font_cache_insert (cache=0x7fea685328a0, wc=
    105, shape_engine=0x7fea8fdf9aa0 [BasicEngineFc], font=
    0x7fea80335740 [gfxPangoFcFont]) at pango-context.c:634
No locals.
#10 0x0000003906418a76 in get_shaper_and_font (state=0x7fea761fd070, wc=105, 
    shape_engine=0x7fea761fcff8, font=0x7fea761fcff0) at pango-context.c:1209
        info = {lang = 0x7fea85b1c988, wc = 105, engines = 0x7fea6425a670 = {
    0x7fea8fdf9aa0}, shape_engine = 0x7fea8fdf9aa0 [BasicEngineFc], font = 
    0x7fea80335740 [gfxPangoFcFont]}
#11 0x0000003906419098 in itemize_state_process_run (state=0x7fea761fd070)
    at pango-context.c:1422
        wc = <value optimized out>
        is_forced_break = 0
        shape_engine = 0x7fea8fdf9aa0 [BasicEngineFc]
        font = 0x7fea80335740 [gfxPangoFcFont]
        p = 0x7fea761fd6b4 "initialized."
        last_was_forced_break = <value optimized out>
        __PRETTY_FUNCTION__ = "itemize_state_process_run"
#12 0x00000039064196c0 in pango_itemize_with_base_dir (context=0x4707, 


-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 3 Matěj Cepl 2009-12-17 18:19:33 UTC
looks like crash originated somewhere in pango, right?

Comment 4 Bug Zapper 2010-11-04 04:09:49 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2010-12-04 02:07:38 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.